package com.steering.mes.mcp.entity;

import java.io.Serializable;
/**
 * 数据库表VRP_SIZING_RESULT所对应的实体类（生成工具：代码生成器3.0）
 * @author PC-201412141732   date 2016-05-27
 */
@SuppressWarnings("serial")
public class VrpSizingResultEntity implements Serializable {
    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     */
    private String resultNo = "";
    /**
     * 炉批计划ID
     */
    private String heatPlanNo = "";
    /**
     * 镦拔扩作业批次号
     */
    private String zyBatchId = "";
    /**
     * 镦拔扩订单编号
     */
    private String proPlanId = "";
    /**
     * 镦拔扩订单排产序号
     */
    private String gxPlanNo = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 产线描述
     */
    private String plineName = "";
    /**
     * 荒管外径
     */
    private String sheDimater = "";
    /**
     * 荒管壁厚
     */
    private String sheHeight = "";
    /**
     * 入口速度
     */
    private String speedIn = "";
    /**
     * 出口速度
     */
    private String speedOut = "";
    /**
     * 电机转速1#
     */
    private String motorSpeed1 = "";
    /**
     * 电机转速2#
     */
    private String motorSpeed2 = "";
    /**
     * 电机转速3#
     */
    private String motorSpeed3 = "";
    /**
     * 电机转速4#
     */
    private String motorSpeed4 = "";
    /**
     * 电机转速5#
     */
    private String motorSpeed5 = "";
    /**
     * 机架孔型
     */
    private String motorDr = "";
    /**
     * 外径（定径后）
     */
    private String sizDimater = "";
    /**
     * 壁厚（定径后）
     */
    private String sizHeight = "";
    /**
     * 作业支数（有效生产数量）
     */
    private String proNum = "";
    /**
     * 作业重量
     */
    private String proWt = "";
    /**
     * 废品支数(剔除)
     */
    private String failNum = "";
    /**
     * 废品重量(剔除)
     */
    private String failWt = "";
    /**
     * 废品原因(剔除)
     */
    private String failReason = "";
    /**
     * 下线支数
     */
    private String offlineNum = "";
    /**
     * 下线重量
     */
    private String offlineWt = "";
    /**
     * 返线支数
     */
    private String reNum = "";
    /**
     * 返线重量
     */
    private String reWt = "";
    /**
     * 监制要求
     */
    private String monitordemand = "";
    /**
     * 是否镦拔扩监制
     */
    private String ifMonitorDbk = "";
    /**
     * 监制人
     */
    private String producer = "";
    /**
     * 监制编号
     */
    private String prdcrNo = "";
    /**
     * 监制到场时间
     */
    private String producerTime = "";
    /**
     * 上料时间
     */
    private String loadTime = "";
    /**
     * 上料班次
     */
    private String loadShift = "";
    /**
     * 上料班组
     */
    private String loadGroup = "";
    /**
     * 操作人
     */
    private String loadUser = "";
    /**
     * 采集方式(0-接口采集，1-人工录入)
     */
    private String colMode = "";
    /**
     * 操作时间
     */
    private String createTime = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 修改人
     */
    private String updateName = "";

    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 炉批计划ID
     * @return value
     */
    public String getHeatPlanNo() {
        return heatPlanNo;
    }

    /**
     * 炉批计划ID
     * @param heatPlanNo value
     */
    public void setHeatPlanNo(String heatPlanNo) {
        this.heatPlanNo = heatPlanNo;
    }

    /**
     * 镦拔扩作业批次号
     * @return value
     */
    public String getZyBatchId() {
        return zyBatchId;
    }

    /**
     * 镦拔扩作业批次号
     * @param zyBatchId value
     */
    public void setZyBatchId(String zyBatchId) {
        this.zyBatchId = zyBatchId;
    }

    /**
     * 镦拔扩订单编号
     * @return value
     */
    public String getProPlanId() {
        return proPlanId;
    }

    /**
     * 镦拔扩订单编号
     * @param proPlanId value
     */
    public void setProPlanId(String proPlanId) {
        this.proPlanId = proPlanId;
    }

    /**
     * 镦拔扩订单排产序号
     * @return value
     */
    public String getGxPlanNo() {
        return gxPlanNo;
    }

    /**
     * 镦拔扩订单排产序号
     * @param gxPlanNo value
     */
    public void setGxPlanNo(String gxPlanNo) {
        this.gxPlanNo = gxPlanNo;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 荒管外径
     * @return value
     */
    public String getSheDimater() {
        return sheDimater;
    }

    /**
     * 荒管外径
     * @param sheDimater value
     */
    public void setSheDimater(String sheDimater) {
        this.sheDimater = sheDimater;
    }

    /**
     * 荒管壁厚
     * @return value
     */
    public String getSheHeight() {
        return sheHeight;
    }

    /**
     * 荒管壁厚
     * @param sheHeight value
     */
    public void setSheHeight(String sheHeight) {
        this.sheHeight = sheHeight;
    }

    /**
     * 入口速度
     * @return value
     */
    public String getSpeedIn() {
        return speedIn;
    }

    /**
     * 入口速度
     * @param speedIn value
     */
    public void setSpeedIn(String speedIn) {
        this.speedIn = speedIn;
    }

    /**
     * 出口速度
     * @return value
     */
    public String getSpeedOut() {
        return speedOut;
    }

    /**
     * 出口速度
     * @param speedOut value
     */
    public void setSpeedOut(String speedOut) {
        this.speedOut = speedOut;
    }

    /**
     * 电机转速1#
     * @return value
     */
    public String getMotorSpeed1() {
        return motorSpeed1;
    }

    /**
     * 电机转速1#
     * @param motorSpeed1 value
     */
    public void setMotorSpeed1(String motorSpeed1) {
        this.motorSpeed1 = motorSpeed1;
    }

    /**
     * 电机转速2#
     * @return value
     */
    public String getMotorSpeed2() {
        return motorSpeed2;
    }

    /**
     * 电机转速2#
     * @param motorSpeed2 value
     */
    public void setMotorSpeed2(String motorSpeed2) {
        this.motorSpeed2 = motorSpeed2;
    }

    /**
     * 电机转速3#
     * @return value
     */
    public String getMotorSpeed3() {
        return motorSpeed3;
    }

    /**
     * 电机转速3#
     * @param motorSpeed3 value
     */
    public void setMotorSpeed3(String motorSpeed3) {
        this.motorSpeed3 = motorSpeed3;
    }

    /**
     * 电机转速4#
     * @return value
     */
    public String getMotorSpeed4() {
        return motorSpeed4;
    }

    /**
     * 电机转速4#
     * @param motorSpeed4 value
     */
    public void setMotorSpeed4(String motorSpeed4) {
        this.motorSpeed4 = motorSpeed4;
    }

    /**
     * 电机转速5#
     * @return value
     */
    public String getMotorSpeed5() {
        return motorSpeed5;
    }

    /**
     * 电机转速5#
     * @param motorSpeed5 value
     */
    public void setMotorSpeed5(String motorSpeed5) {
        this.motorSpeed5 = motorSpeed5;
    }

    /**
     * 机架孔型
     * @return value
     */
    public String getMotorDr() {
        return motorDr;
    }

    /**
     * 机架孔型
     * @param motorDr value
     */
    public void setMotorDr(String motorDr) {
        this.motorDr = motorDr;
    }

    /**
     * 外径（定径后）
     * @return value
     */
    public String getSizDimater() {
        return sizDimater;
    }

    /**
     * 外径（定径后）
     * @param sizDimater value
     */
    public void setSizDimater(String sizDimater) {
        this.sizDimater = sizDimater;
    }

    /**
     * 壁厚（定径后）
     * @return value
     */
    public String getSizHeight() {
        return sizHeight;
    }

    /**
     * 壁厚（定径后）
     * @param sizHeight value
     */
    public void setSizHeight(String sizHeight) {
        this.sizHeight = sizHeight;
    }

    /**
     * 作业支数（有效生产数量）
     * @return value
     */
    public String getProNum() {
        return proNum;
    }

    /**
     * 作业支数（有效生产数量）
     * @param proNum value
     */
    public void setProNum(String proNum) {
        this.proNum = proNum;
    }

    /**
     * 作业重量
     * @return value
     */
    public String getProWt() {
        return proWt;
    }

    /**
     * 作业重量
     * @param proWt value
     */
    public void setProWt(String proWt) {
        this.proWt = proWt;
    }

    /**
     * 废品支数(剔除)
     * @return value
     */
    public String getFailNum() {
        return failNum;
    }

    /**
     * 废品支数(剔除)
     * @param failNum value
     */
    public void setFailNum(String failNum) {
        this.failNum = failNum;
    }

    /**
     * 废品重量(剔除)
     * @return value
     */
    public String getFailWt() {
        return failWt;
    }

    /**
     * 废品重量(剔除)
     * @param failWt value
     */
    public void setFailWt(String failWt) {
        this.failWt = failWt;
    }

    /**
     * 废品原因(剔除)
     * @return value
     */
    public String getFailReason() {
        return failReason;
    }

    /**
     * 废品原因(剔除)
     * @param failReason value
     */
    public void setFailReason(String failReason) {
        this.failReason = failReason;
    }

    /**
     * 下线支数
     * @return value
     */
    public String getOfflineNum() {
        return offlineNum;
    }

    /**
     * 下线支数
     * @param offlineNum value
     */
    public void setOfflineNum(String offlineNum) {
        this.offlineNum = offlineNum;
    }

    /**
     * 下线重量
     * @return value
     */
    public String getOfflineWt() {
        return offlineWt;
    }

    /**
     * 下线重量
     * @param offlineWt value
     */
    public void setOfflineWt(String offlineWt) {
        this.offlineWt = offlineWt;
    }

    /**
     * 返线支数
     * @return value
     */
    public String getReNum() {
        return reNum;
    }

    /**
     * 返线支数
     * @param reNum value
     */
    public void setReNum(String reNum) {
        this.reNum = reNum;
    }

    /**
     * 返线重量
     * @return value
     */
    public String getReWt() {
        return reWt;
    }

    /**
     * 返线重量
     * @param reWt value
     */
    public void setReWt(String reWt) {
        this.reWt = reWt;
    }

    /**
     * 监制要求
     * @return value
     */
    public String getMonitordemand() {
        return monitordemand;
    }

    /**
     * 监制要求
     * @param monitordemand value
     */
    public void setMonitordemand(String monitordemand) {
        this.monitordemand = monitordemand;
    }

    /**
     * 是否镦拔扩监制
     * @return value
     */
    public String getIfMonitorDbk() {
        return ifMonitorDbk;
    }

    /**
     * 是否镦拔扩监制
     * @param ifMonitorDbk value
     */
    public void setIfMonitorDbk(String ifMonitorDbk) {
        this.ifMonitorDbk = ifMonitorDbk;
    }

    /**
     * 监制人
     * @return value
     */
    public String getProducer() {
        return producer;
    }

    /**
     * 监制人
     * @param producer value
     */
    public void setProducer(String producer) {
        this.producer = producer;
    }

    /**
     * 监制编号
     * @return value
     */
    public String getPrdcrNo() {
        return prdcrNo;
    }

    /**
     * 监制编号
     * @param prdcrNo value
     */
    public void setPrdcrNo(String prdcrNo) {
        this.prdcrNo = prdcrNo;
    }

    /**
     * 监制到场时间
     * @return value
     */
    public String getProducerTime() {
        return producerTime;
    }

    /**
     * 监制到场时间
     * @param producerTime value
     */
    public void setProducerTime(String producerTime) {
        this.producerTime = producerTime;
    }

    /**
     * 上料时间
     * @return value
     */
    public String getLoadTime() {
        return loadTime;
    }

    /**
     * 上料时间
     * @param loadTime value
     */
    public void setLoadTime(String loadTime) {
        this.loadTime = loadTime;
    }

    /**
     * 上料班次
     * @return value
     */
    public String getLoadShift() {
        return loadShift;
    }

    /**
     * 上料班次
     * @param loadShift value
     */
    public void setLoadShift(String loadShift) {
        this.loadShift = loadShift;
    }

    /**
     * 上料班组
     * @return value
     */
    public String getLoadGroup() {
        return loadGroup;
    }

    /**
     * 上料班组
     * @param loadGroup value
     */
    public void setLoadGroup(String loadGroup) {
        this.loadGroup = loadGroup;
    }

    /**
     * 操作人
     * @return value
     */
    public String getLoadUser() {
        return loadUser;
    }

    /**
     * 操作人
     * @param loadUser value
     */
    public void setLoadUser(String loadUser) {
        this.loadUser = loadUser;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @return value
     */
    public String getColMode() {
        return colMode;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @param colMode value
     */
    public void setColMode(String colMode) {
        this.colMode = colMode;
    }

    /**
     * 操作时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 操作时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }
}

